Qt 5.6 | Qt 3D | C++ Classes | QCylinderGeometry

Qt 5.6.3 Reference Documentation

# QCylinderGeometry Class

(Qt3DRender::QCylinderGeometry)

Header: | #include <QCylinderGeometry>
qmake: | QT += 3drender
Instantiated By: | CylinderGeometry
Inherits: | QGeometry

- List of all members, including inherited members

## Properties

- indexAttribute : Qt3DRender::QAttribute * const
- length : float
- normalAttribute : Qt3DRender::QAttribute * const
- positionAttribute : Qt3DRender::QAttribute * const

- radius : float
- rings : int
- slices : int
- texCoordAttribute : Qt3DRender::QAttribute * const

- 2 properties inherited from Qt3DRender::QGeometry
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCylinderGeometry(QNode *parent = Q_NULLPTR)
| ~QCylinderGeometry()
QAttribute * | indexAttribute() const
float | length() const
QAttribute * | normalAttribute() const
QAttribute * | positionAttribute() const
float | radius() const
int | rings() const
int | slices() const
QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()

- 5 public functions inherited from Qt3DRender::QGeometry
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setLength(float length)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

- 1 public slot inherited from Qt3DRender::QGeometry
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | lengthChanged(float length)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

- 1 signal inherited from Qt3DRender::QGeometry
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QGeometry
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

QAttribute * | indexAttribute() const

### length : float

Holds the length of the cylinder.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

QAttribute * | positionAttribute() const

### radius : float

Holds the radius of the cylinder.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the cylinder.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the cylinder.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### texCoordAttribute : Qt3DRender::QAttribute * const

Holds the geometry texture coordinate attribute.

Access functions:

QAttribute * | texCoordAttribute() const

## Member Function Documentation

### QCylinderGeometry::QCylinderGeometry(QNode *parent = Q_NULLPTR)

Constructs a new QCylinderMesh with parent.

### QCylinderGeometry::~QCylinderGeometry()

Destroys the geometry.

### void QCylinderGeometry::updateIndices()

Updates the indices based on rings and slices.

### void QCylinderGeometry::updateVertices()

Updates the vertices based on rings and slices.